
D4Science Infrastructure - Task #1668

StatisticalManager DB: monitoring via nagios

Dec 02, 2015 06:11 PM - Roberto Cirillo

Status: Closed Start date: Dec 02, 2015

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Nagios monitoring   

Infrastructure: Production   

Description

The statisticalManager db should be monitored by nagios. it is a postgres db hosted on

db5.p.d4science.research-infrastructures.eu

History

#1 - Mar 09, 2016 08:51 PM - Pasquale Pagano

- Tracker changed from Support to Task

- Priority changed from Normal to High

#2 - Jan 27, 2017 08:38 PM - Tommaso Piccioli

- Assignee changed from Tommaso Piccioli to _InfraScience Systems Engineer

#3 - Feb 14, 2017 06:16 PM - Andrea Dell'Amico

There are four databases on that server but only dataSpace seems to be in use:

 aquamapsorgupdated | utente   | UTF8     | en_US.UTF-8 | en_US.UTF-8 |

 dataSpace          | gcube    | UTF8     | en_US.UTF-8 | en_US.UTF-8 |

 postgres           | postgres | UTF8     | en_US.UTF-8 | en_US.UTF-8 |

 template0          | postgres | UTF8     | en_US.UTF-8 | en_US.UTF-8 | =c/postgres          +

                    |          |          |             |             | postgres=CTc/postgres

 template1          | postgres | UTF8     | en_US.UTF-8 | en_US.UTF-8 | postgres=CTc/postgres+

                    |          |          |             |             | =c/postgres

 testdb             | gcube    | UTF8     | en_US.UTF-8 | en_US.UTF-8 |

 timeseries         | gcube    | UTF8     | en_US.UTF-8 | en_US.UTF-8 |

 Is it correct?

#4 - Feb 14, 2017 06:29 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 80

#5 - Feb 14, 2017 06:38 PM - Andrea Dell'Amico

testdb is 50GB big, btw

#6 - Feb 14, 2017 06:49 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The ganglia and nagios checks are in place. Please let me know about the various databases status.

#7 - Feb 15, 2017 12:46 PM - Fabio Sinibaldi

- File dbReport.txt added

Wrote a routine that queries the IS and looks for database declarations in ServiceProfiles.

Checks are done by same dbName, same host (both checking hostname and resolved Ip).

The report in attachment shows also matching dbName but different host.

It seems to me that "dataspace" and "testdb" are used in production environments, while "aquamapsorgupdated" and "timeseries" are probably
copied from development instances but are not used.

I skipped checking "postgres", "template0" and "template1".

#8 - Feb 15, 2017 01:47 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

OK, I've put under nagios all the existing databases.

#9 - Feb 15, 2017 01:47 PM - Andrea Dell'Amico

- % Done changed from 80 to 100

Files

dbReport.txt 12.2 KB Feb 15, 2017 Fabio Sinibaldi
